
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Delete Messages from Folders",
  "AUTHOR" => "Casey West <casey\@geeknest.com>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Email-Delete",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Email::Delete",
  "PREREQ_PM" => {
    "Email::Folder" => "0",
    "Email::Folder::Mbox" => "0",
    "Email::FolderType" => "0",
    "Email::LocalDelivery::Mbox" => "0",
    "Email::Simple" => "0",
    "Exporter" => "0",
    "IO::File" => "0",
    "base" => "0",
    "strict" => "0",
    "vars" => "0"
  },
  "TEST_REQUIRES" => {
    "File::Find" => "0",
    "File::Path" => "0",
    "File::Temp" => "0",
    "Test::More" => "0.88",
    "warnings" => "0"
  },
  "VERSION" => "2.002",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  my $tr = delete $WriteMakefileArgs{TEST_REQUIRES};
  my $br = $WriteMakefileArgs{BUILD_REQUIRES};
  for my $mod ( keys %$tr ) {
    if ( exists $br->{$mod} ) {
      $br->{$mod} = $tr->{$mod} if $tr->{$mod} > $br->{$mod};
    }
    else {
      $br->{$mod} = $tr->{$mod};
    }
  }
}

unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



